| TagLib 1.13 |  |

Public Member Functions | Protected Member Functions | List of all members
TagLib::MP4::Tag Class Reference

`#include <mp4tag.h>`

Inheritance diagram for TagLib::MP4::Tag:
[legend]
Collaboration diagram for TagLib::MP4::Tag:
[legend]

## Public Member Functions
| Tag ()
| Tag (TagLib::File *file, Atoms *atoms)
virtual | ~Tag ()
bool | save ()
virtual String | title () const
virtual String | artist () const
virtual String | album () const
virtual String | comment () const
virtual String | genre () const
virtual unsigned int | year () const
virtual unsigned int | track () const
virtual void | setTitle (const String &value)
virtual void | setArtist (const String &value)
virtual void | setAlbum (const String &value)
virtual void | setComment (const String &value)
virtual void | setGenre (const String &value)
virtual void | setYear (unsigned int value)
virtual void | setTrack (unsigned int value)
virtual bool | isEmpty () const
TAGLIB_DEPRECATED ItemMap & | itemListMap ()
const ItemMap & | itemMap () const
Item | item (const String &key) const
void | setItem (const String &key, const Item &value)
void | removeItem (const String &key)
bool | contains (const String &key) const
bool | strip ()
PropertyMap | properties () const
void | removeUnsupportedProperties (const StringList &properties)
PropertyMap | setProperties (const PropertyMap &properties)
Public Member Functions inherited from TagLib::Tag
virtual | ~Tag ()
PropertyMap | properties () const
void | removeUnsupportedProperties (const StringList &properties)
PropertyMap | setProperties (const PropertyMap &properties)
virtual String | title () const =0
virtual String | artist () const =0
virtual String | album () const =0
virtual String | comment () const =0
virtual String | genre () const =0
virtual unsigned int | year () const =0
virtual unsigned int | track () const =0
virtual void | setTitle (const String &s)=0
virtual void | setArtist (const String &s)=0
virtual void | setAlbum (const String &s)=0
virtual void | setComment (const String &s)=0
virtual void | setGenre (const String &s)=0
virtual void | setYear (unsigned int i)=0
virtual void | setTrack (unsigned int i)=0
virtual bool | isEmpty () const

## Protected Member Functions
void | setTextItem (const String &key, const String &value)
Protected Member Functions inherited from TagLib::Tag
| Tag ()

## Additional Inherited Members
Static Public Member Functions inherited from TagLib::Tag
static void | duplicate (const Tag *source, Tag *target, bool overwrite=true)

## Constructor & Destructor Documentation

## ◆ Tag() [1/2]

TagLib::MP4::Tag::Tag | ( |  | ) |

## ◆ Tag() [2/2]

TagLib::MP4::Tag::Tag | ( | TagLib::File * | file,
|  | Atoms * | atoms
| ) |  |

## ◆ ~Tag()

virtual TagLib::MP4::Tag::~Tag | ( |  | ) |
| virtual

Destroys this Tag instance.

Reimplemented from TagLib::Tag.

## Member Function Documentation

## ◆ album()

virtual String TagLib::MP4::Tag::album | ( |  | ) | const
| virtual

Returns the album name; if no album name is present in the tag String::null will be returned.

Implements TagLib::Tag.

## ◆ artist()

virtual String TagLib::MP4::Tag::artist | ( |  | ) | const
| virtual

Returns the artist name; if no artist name is present in the tag String::null will be returned.

Implements TagLib::Tag.

## ◆ comment()

virtual String TagLib::MP4::Tag::comment | ( |  | ) | const
| virtual

Returns the track comment; if no comment is present in the tag String::null will be returned.

Implements TagLib::Tag.

## ◆ contains()

bool TagLib::MP4::Tag::contains | ( | const String & | key | ) | const

Returns
  True if the tag contains an entry for key.

## ◆ genre()

virtual String TagLib::MP4::Tag::genre | ( |  | ) | const
| virtual

Returns the genre name; if no genre is present in the tag String::null will be returned.

Implements TagLib::Tag.

## ◆ isEmpty()

virtual bool TagLib::MP4::Tag::isEmpty | ( |  | ) | const
| virtual

Returns true if the tag does not contain any data. This should be reimplemented in subclasses that provide more than the basic tagging abilities in this class.

Reimplemented from TagLib::Tag.

## ◆ item()

Item TagLib::MP4::Tag::item | ( | const String & | key | ) | const

Returns
  The item, if any, corresponding to key.

## ◆ itemListMap()

TAGLIB_DEPRECATED ItemMap & TagLib::MP4::Tag::itemListMap | ( |  | ) |

Deprecated:
  Use the item() and setItem() API instead.

## ◆ itemMap()

const ItemMap & TagLib::MP4::Tag::itemMap | ( |  | ) | const

Returns a string-keyed map of the MP4::Items for this tag.

## ◆ properties()

PropertyMap TagLib::MP4::Tag::properties | ( |  | ) | const

## ◆ removeItem()

void TagLib::MP4::Tag::removeItem | ( | const String & | key | ) |

Removes the entry with key from the tag, or does nothing if it does not exist.

## ◆ removeUnsupportedProperties()

void TagLib::MP4::Tag::removeUnsupportedProperties | ( | const StringList & | properties | ) |

## ◆ save()

bool TagLib::MP4::Tag::save | ( |  | ) |

## ◆ setAlbum()

virtual void TagLib::MP4::Tag::setAlbum | ( | const String & | s | ) |
| virtual

Sets the album to s. If s is String::null then this value will be cleared.

Implements TagLib::Tag.

## ◆ setArtist()

virtual void TagLib::MP4::Tag::setArtist | ( | const String & | s | ) |
| virtual

Sets the artist to s. If s is String::null then this value will be cleared.

Implements TagLib::Tag.

## ◆ setComment()

virtual void TagLib::MP4::Tag::setComment | ( | const String & | s | ) |
| virtual

Sets the comment to s. If s is String::null then this value will be cleared.

Implements TagLib::Tag.

## ◆ setGenre()

virtual void TagLib::MP4::Tag::setGenre | ( | const String & | s | ) |
| virtual

Sets the genre to s. If s is String::null then this value will be cleared. For tag formats that use a fixed set of genres, the appropriate value will be selected based on a string comparison. A list of available genres for those formats should be available in that type's implementation.

Implements TagLib::Tag.

## ◆ setItem()

void TagLib::MP4::Tag::setItem | ( | const String & | key,
|  | const Item & | value
| ) |  |

Sets the value of key to value, overwriting any previous value.

## ◆ setProperties()

PropertyMap TagLib::MP4::Tag::setProperties | ( | const PropertyMap & | properties | ) |

## ◆ setTextItem()

void TagLib::MP4::Tag::setTextItem | ( | const String & | key,
|  | const String & | value
| ) |  |
| protected

Sets the value of key to value, overwriting any previous value. If value is empty, the item is removed.

## ◆ setTitle()

virtual void TagLib::MP4::Tag::setTitle | ( | const String & | s | ) |
| virtual

Sets the title to s. If s is String::null then this value will be cleared.

Implements TagLib::Tag.

## ◆ setTrack()

virtual void TagLib::MP4::Tag::setTrack | ( | unsigned int | i | ) |
| virtual

Sets the track to i. If s is 0 then this value will be cleared.

Implements TagLib::Tag.

## ◆ setYear()

virtual void TagLib::MP4::Tag::setYear | ( | unsigned int | i | ) |
| virtual

Sets the year to i. If s is 0 then this value will be cleared.

Implements TagLib::Tag.

## ◆ strip()

bool TagLib::MP4::Tag::strip | ( |  | ) |

Saves the associated file with the tag stripped.

## ◆ title()

virtual String TagLib::MP4::Tag::title | ( |  | ) | const
| virtual

Returns the track name; if no track name is present in the tag String::null will be returned.

Implements TagLib::Tag.

## ◆ track()

virtual unsigned int TagLib::MP4::Tag::track | ( |  | ) | const
| virtual

Returns the track number; if there is no track number set, this will return 0.

Implements TagLib::Tag.

## ◆ year()

virtual unsigned int TagLib::MP4::Tag::year | ( |  | ) | const
| virtual

Returns the year; if there is no year set, this will return 0.

Implements TagLib::Tag.

The documentation for this class was generated from the following file:

- mp4tag.h